org.apache.olingo.odata2.client.api.ep

## Class EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder

- Enclosing class:
    EntityCollectionSerializerProperties

      public static class EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder
      extends Object

  This class builds the Entity collection properties

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityCollectionPropertiesBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityCollectionSerializerProperties` | `build()` Build properties object.
    `EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder` | `fromProperties(EntityCollectionSerializerProperties properties)`
    `EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder` | `selfLink(URI selfLink)`
    `EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder` | `serviceRoot(URI serviceRoot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityCollectionPropertiesBuilder

          public EntityCollectionPropertiesBuilder()

  - ### Method Detail

    - #### serviceRoot

          public final EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder serviceRoot(URI serviceRoot)

      Parameters:
        `serviceRoot` -

    - #### build

          public final EntityCollectionSerializerProperties build()

      Build properties object.
      Returns:
        assembled properties object

    - #### selfLink

          public EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder selfLink(URI selfLink)

      Parameters:
        `selfLink` -
      Returns:
        EntityCollectionPropertiesBuilder

    - #### fromProperties

          public EntityCollectionSerializerProperties.EntityCollectionPropertiesBuilder fromProperties(EntityCollectionSerializerProperties properties)

      Parameters:
        `properties` -
      Returns:
        EntityCollectionPropertiesBuilder

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.